Subject: Re: bug#42108: 28.0.50; treemacs no longer work on native-comp branch

From: Andrey Orst <[email-masked]>
Date: Wed, 1 Jul 2020 17:02:59 +0300

Everything seem to work now! Andrea, thank you very much for your hard work
on native-comp

On Tue, Jun 30, 2020 at 10:44 PM Andrea Corallo <[email-masked]>
wrote:

> All right also the --cl-rest-- issue should be fixed now with:
>
> 4681f33071 Fix lambda-list relocation class
>
> Lambda lists in cl-defun et similia can be expanded using a
> --cl-rest-- symbols that are uninterned too.  As a consequence
> lambda-lists must be stored in the same relocation class as
> conventional objects so can be read by the reader in the same string.
> This to maintain correct correspondence with the symbol used in the
> function body.
>
> This dynamic scope enablement already enough shake, hopefully is over.
>
> Please give the latest native-comp a go.
>
> Thanks!
>
>   Andrea
>

-- 
Best regards,
Andrey Orst